# Trait io_lifetimes::raw::FromRawSocketlike

source · [−]

    pub trait FromRawSocketlike: FromRawFd {
        unsafe fn from_raw_socketlike(raw: RawSocketlike) -> Self;
    }

Expand description

This is a portability abstraction over Unix-like `FromRawFd` and Windows’ `FromRawSocket`.

## Required Methods

source

#### unsafe fn from_raw_socketlike(raw: RawSocketlike) -> Self

Constructs `Self` from the raw value.

##### Safety

This is `unsafe` for the same reason as `from_raw_fd` and `from_raw_socket`.

## Implementors

source

### impl<T: FromRawFd> FromRawSocketlike for T